<?php
/**
 * by Jahak
 * Подробная информация о Вашей версии PHP
 */
header('Content-Type: text/html; charset=utf-8');
$title = 'Все предопределенные константы в PHP ' . PHP_VERSION;
require_once 'header.inc';

echo '<h2>Все предопределенные константы в ' . PHP_VERSION . '</h2>';
$constants = get_defined_constants(true);
foreach ($constants as $key => $value)
{
    echo '<b>' . $key . '</b> ' . ((bool)phpversion($key) ? phpversion($key) . ' ' : '') . '&#91;<br />' . PHP_EOL;
    foreach ($value as $k => $v)
        echo '-&nbsp;&nbsp;' . $k . ' = ' . $v . '<br />' . PHP_EOL;
    echo '&#93;<br />';
}

require_once 'footer.inc';