<?php
/**
 * by Jahak
 * Подробная информация о Вашей версии PHP
 */
header('Content-Type: text/html; charset=utf-8');
$title = 'Подробная информация о PHP ' . PHP_VERSION . ' by Jahak';
require_once 'header.inc';
?>
<h2>Подробная информация о PHP <a href="phpinfo.php" title="phpinfo()"><?php echo PHP_VERSION; ?></a> by Jahak</h2>
<a href="http://php.net/download-docs.php"><b>Скачать документацию последней версии</b></a>
<br />
<?php
echo '<a href="get_defined_constants.php">Все предопределенные константы в ' . PHP_VERSION . '</a><br />' .
     '<a href="get_defined_functions.php">Встроенные функции PHP ' . PHP_VERSION . '</a>&nbsp;(<a href="get_loaded_extensions.php">по категориям</a>)<br />';
if (version_compare(PHP_VERSION, '5.1.2') >= 0)
    echo '<a href="hash_algos.php">Список зарегистрированных алгоритмов хеширования</a><br />';
echo '<a href="ini_get_all.php">Получение всех настроек конфигурации с помощью ini_get_all()</a><br />' .
     '<a href="spl_classes.php">Доступные классы SPL в PHP ' . PHP_VERSION . '</a>';
?>
<h4>Дополнительная информация</h4>
<b>Версия PHP:</b> <?php echo PHP_VERSION; ?>
<br />
<b>OS на которой запущен PHP:</b> <?php echo php_uname(); ?>
<br />
<b>Версия движка Zend:</b> <?php echo zend_version(); ?>
<br />
<b>Версия GD-библиотеки:</b> <?php echo GD_VERSION; ?>
<br />
<b>Версия и дата релиза PCRE:</b> <?php echo PCRE_VERSION; ?>
<br />
<b>Тип интерфейса между веб-сервером и PHP:</b> <?php echo php_sapi_name(); ?>
<br />
<?php
$curl_version = curl_version();

echo '<b>Поддерживаемые протоколы cURL:</b> ';
foreach(array_values($curl_version['protocols']) as $name)
    echo $name . ', ';

echo '<br /><b>Версия библиотеки cURL:</b> ' . $curl_version['version'] . '<br />';
// Это битовые поля, которые можно использовать |
// для проверки возможностей сборки curl       \|/
//                                              |
$bitfields = [
    'CURL_VERSION_IPV6',
    'CURL_VERSION_KERBEROS4',
    'CURL_VERSION_SSL',
    'CURL_VERSION_LIBZ'
];


foreach($bitfields as $feature)
    echo '&nbsp;&nbsp;&nbsp;&nbsp;' . str_ireplace('_', '&#95;', $feature) . ($curl_version['features'] & constant($feature) ? ' - <span style="color: green;"><b>&bull;</b></span><br />' : ' - <span style="color: red;"><b>&bull;</b></span><br />') . PHP_EOL;
?>
<span style="color: green;"><b>&bull;</b></span> -> ЕСТЬ<br />
<span style="color: red;"><b>&bull;</b></span> -> НЕТ
<?php require_once 'footer.inc'; ?>